Ulysses on iOS 13, iPadOS, macOS Catalina — and Beyond

Photo of Catalina Island, with Ulysses logo

At WWDC, Apple announced new versions of their operating systems: iOS 13, macOS Catalina, and (to some surprise) iPadOS. While macOS Catalina will be rather straight-forward in terms of support, the mobile/touch systems are going to introduce a host of new features, some of which are already present in Ulysses today. So let’s talk about two of those.

Asking about Ulysses on the betas of iOS 13, iPadOS and macOS Catalina? In short: We advise against installing these betas. We will also not offer a beta version of Ulysses for them until we’re confident in your data’s safety. For now, we aren’t. Read the full story here.

Dark Mode

iOS 13 and iPadOS will both ship with a system-wide, native Dark Mode. Of course, Ulysses has its own Dark Mode, so what are we going to do?

On older systems, nothing will change. Same Dark Mode, on/off switch and all. But on the new systems, we are going to fully support the native version.

iPhone with Ulysses editor in Dark Mode open
Bye-bye, Ulysses’ custom Dark Mode

This allows us to get rid of our custom theme, and Dark Mode will finally cover all of Ulysses’ various views and dialogs. No more light file pickers, no more mismatched tint colors in certain dialogs. The new systems will even support automatic mode switching based on time of day (or so we heard) — this is the most requested feature regarding Dark Mode, and with iOS 13 and iPadOS, we can finally deliver.

Any con? Uhm, yes… you’ll lose the ability to switch on-the-fly, but we think that’s ok.

iPad Split View

Hehe. One of the big features in iPadOS is the new Split View. Of course, we just shipped our own Split View in Ulysses on iPad, literally minutes before Apple’s reveal.

After a bit of debate, weighing our options and evaluating user expectation, we decided to… switch Ulysses to the native Split View. It‘s a tough call because we believe our implementation is a bit more polished. However, the native Split View will soon be available across all apps, and we want to fit right in. So we decided to rather support the system standard (and benefit from future updates) than to maintain our version till it inevitably breaks.

Ulysses’ native iPad Split View
Bye-bye, Ulysses’ custom Split View

This does mean, however, that we are going to remove our own implementation, as soon as our iPadOS release ships. This also means that Split View in Ulysses will only be supported on iPadOS or newer — in order to implement the system Split View, we need to cut out our own version completely.

*insert sad smiley here*

A Word or Two About Future System Support

Apple is doing a great job of supporting old devices with their OS releases. iOS 13 will support every iPhone from 6s and up (including the SE), and iPadOS will support every retina iPad ever made (bar the iPad mini 3). As far as the operating system goes, devices that shipped in 2014 or later are covered. That’s five years worth of devices.

On Mac, the situation is even better: macOS Catalina will support every Mac that shipped mid-2012 or later (bar the original Mac Pro). If you can run Mojave, you can run Catalina, no need to worry.

We have always tried to be backwards compatible as best we could. Sometimes, this meant supporting four years worth of old systems, for the very small number of users still on one of these systems. While it didn‘t hurt much, it still hurt, because with every new device, every branch of every OS, we had to come up with (and maintain) explicit solutions for the old systems. At present, Ulysses runs on iOS 10 or later, as well as OS X 10.11 El Capitan or later. Some stuff was tricky.

Going forward, we will switch our policy to a simple rule of thumb: Support the current system, as well as the one that shipped before. It’s much more efficient, and it helps us move a bit faster. So once the new systems are live this fall, any new version of Ulysses will require either iOS 12 or macOS 10.13 High Sierra.

“High Sierra? That’s two years back! I’m confused. You’re confusing!” Right, but that’s why we call it a rule of thumb. See, we are well aware that some of you are holding back on system updates, because several thirdparty apps are going to break, especially on macOS (lots of games are 32 bit, for example). So we won’t cut support for High Sierra just yet, but please be aware that next year, we will probably go as far as cutting support for Mojave…

So if you rely on apps that won’t run on Catalina, you have one more year to nag all your favorite about it. If you rely on apps that can’t be updated, you have one more (!) year to look for a modern alternative. We believe this is fair.

BTW, summer’s here! Have fun.

Marcus Fehn

Co-founder, interface designer and hot temper. Loves cats, hates dogmas. Schooled in the art of analytic improvisation. Favorite comic book character: Patrick Bateman.